Skip to main content
GET
/
v1
/
loyalties
/
{campaignId}
/
members
/
{memberId}
/
activity
List Member Activity with campaign ID
curl --request GET \
  --url https://{cluster}.voucherify.io/v1/loyalties/{campaignId}/members/{memberId}/activity \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{ "object": "list", "data_ref": "data", "data": [ { "id": "evcus_0c150c51730c6b60b1", "type": "customer.loyalty.tier.upgraded", "data": { "data": { "loyalty_tier_to": { "name": "<string>", "points": { "from": 123, "to": 123 }, "id": "<string>", "campaign_id": "<string>", "metadata": {}, "created_at": "2023-11-07T05:31:56Z", "config": { "points": { "from": 123, "to": 123 } }, "object": "loyalty_tier", "earning_rules": {}, "rewards": {}, "updated_at": "2023-11-07T05:31:56Z" }, "created_at": "2022-02-25T13:32:08.734Z", "customer": { "id": "<string>", "name": "<string>", "email": "<string>", "source_id": "<string>", "metadata": {}, "object": "customer" }, "campaign": { "id": "<string>", "name": "<string>", "campaign_type": "<string>", "type": "AUTO_UPDATE", "is_referral_code": true, "referral_program": { "conversion_event_type": "redemption", "custom_event": { "id": "ms_Ll9enAm2BCN0M1s4VxWobLFM", "name": "<string>" }, "referee_reward": { "related_object_parent": { "id": "camp_kdxp3vf1clQ9CFs1jpqv3tZe", "name": "<string>", "object": "CAMPAIGN" }, "type": "LOYALTY_CARD", "amount": 123 } }, "auto_join": true, "join_once": true, "active": true, "category_id": "<string>", "category": "<string>", "categories": [ { "id": "<string>", "name": "<string>", "hierarchy": 1, "object": "category", "created_at": "2022-07-14T10:45:13.156Z", "updated_at": "2022-08-16T10:52:08.094Z" } ], "metadata": {}, "start_date": "2022-09-20T00:00:00.000Z", "expiration_date": "2022-09-30T00:00:00.000Z", "description": "<string>", "created_at": "2024-01-01T11:11:11.111Z", "updated_at": "2024-01-01T11:11:11.111Z", "object": "campaign" } } }, "created_at": "2022-08-30T09:14:07.660Z", "group_id": "w-0e30613abc1f044513" } ], "has_more": true, "more_starting_after": "<string>" }

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

campaignId
string
required

Unique campaign ID.

Example:

"camp_rRsfatlwN7unSeUIJDCYedal"

memberId
string
required

A code that identifies the loyalty card.

Example:

"MmFAzfDe"

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
order
enum<string>

Apply this filter to order the events according the date and time when it was created. The dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at
starting_after_id
string

A cursor for pagination. It retrieves the events starting after an event with the given ID.

Response

Returns a list of event objects related to the loyalty card.

Response body schema for retrieving member activity.

object
enum<string>
default:list
required

The type of the object represented by JSON. This object stores information about member activities in a dictionary.

Available options:
list
data_ref
string
default:data
required

Identifies the name of the attribute that contains the array of member activity objects.

data
Member Activity · object[]
required

Array of member activity objects.

has_more
boolean
required

As query results are always limited (by the limit parameter), the has_more flag indicates if there are more records for given filter parameters. This lets you know if you can run another request with a starting_after_id query or a different limit to get more records returned in the results.

more_starting_after
string

Returns an ID that can be used to return another page of results. Use the event ID in the starting_after_id query parameter to display another page of the results starting after the event with that ID.

Last modified on April 1, 2026